<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 12/08/15
 * Time: 10:00 AM
 */

if(!function_exists('s7upf_vc_advantage'))
{
    function s7upf_vc_advantage($attr,$content = false)
    {
        $html = $view_html = $link_item = '';
        extract(shortcode_atts(array(
            'style'      => '',
            'image'      => '',
            'animation'  => '',
            'link'       => '',
            'title'      => '',
            'des'        => '',
        ),$attr));
        switch ($style) {
            case 'banner-top7':
                $html .=    '<div class="banner-count">
                                <div class="banner-count-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>  
                                <div class="banner-count-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'menu-banner':
                $html .=    '<div class="mega-banner '.esc_attr($animation).' style2">
                                <a href="'.esc_url($link).'" class="adv-thumb-link">'.wp_get_attachment_image($image,'full').'</a>
                                <div class="banner-info">
                                    <h3>'.esc_html($title).'</h3>
                                    <h2>'.esc_html($des).'</h2>
                                </div>
                            </div>';
                break;

            case 'home8-service-center':
                $html .=    '<div class="item-service20 item-center">
                                <div class="service-icon">
                                    <a href="'.esc_url($link).'" class="wobble-vertical">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="service-info">
                                    <h2>'.esc_html($title).'</h2>
                                    <p>'.esc_html($des).'</p>
                                </div>
                            </div>';
                break;

            case 'home8-service':
                $html .=    '<div class="item-service20">
                                <div class="service-icon">
                                    <a href="'.esc_url($link).'" class="wobble-vertical">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="service-info">
                                    <h2>'.esc_html($title).'</h2>
                                    <p>'.esc_html($des).'</p>
                                </div>
                            </div>';
                break;

            case 'home19-2':
                $html .=    '<div class="item-shopcat19">
                                <a href="'.esc_url($link).'">';
                $html .=            wp_get_attachment_image($image,'full');
                if(!empty($title)) $html .=    '<h2 class="cat-title">'.esc_html($title).'</h2>';
                $html .=        '</a>
                            </div>';
                break;

            case 'adv-home6 style1':
            case 'adv-home6 style2':
                $html .=    '<div class="item-adv9">
                                <div class="adv-info '.esc_attr($style).'">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>';
                if(!empty($animation)){
                    $html .=    '<div class="'.esc_attr($animation).'">
                                    <a class="adv-thumb-link" href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>';
                }
                else{
                    $html .=    '<div class="adv-thumb">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>';
                }
                $html .=    '</div>';
                break;

            case 'home5':
                $html .=    '<div class="item-product8">
                                <div class="product-thumb8 '.esc_attr($animation).'">
                                    <a class="adv-thumb-link" href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="product-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'adv-bg4':
                if(!empty($image)) $image = S7upf_Assets::build_css('background-image: url('.wp_get_attachment_image_url($image,'full').');');
                $html .=    '<div class="model-paral '.esc_attr($image).'">
                                <div class="container">
                                    <div class="model-info">
                                        <div class="inner-model-info">
                                            '.wpb_js_remove_wpautop($content, true).'
                                        </div>
                                    </div>
                                </div>
                            </div>';
                break;

            case 'about-home3':
                $html .=    '<div class="intro-special aboutus-box">';
                if(!empty($title)) $html .=    '<h2 class="ver-title"><span class="wow fadeInLeft">'.esc_html($title).'</span></h2>';
                $html .=        '<div class="caption-intro wow fadeInLeft">
                                    <div class="banner-adv '.esc_attr($animation).'">
                                        <a class="adv-thumb-link" href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                    </div>
                                </div>
                                <div class="text-intro">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'mega-banner':
            case 'mega-banner2':                
                $html .=    '<div class="'.esc_attr($style).'">
                                <div class="zoom-image">
                                    <a href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="banner-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;

            case 'home-4':
                $html .=    '<div class="banner15">
                                <div class="banner-thumb">
                                    <a class="adv-thumb-link" href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                </div>
                                <div class="banner-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;
            
            default:
                $html .=    '<div class="'.esc_attr($style).' banner-adv '.esc_attr($animation).'">
                                <a class="adv-thumb-link" href="'.esc_url($link).'">'.wp_get_attachment_image($image,'full').'</a>
                                <div class="adv-info banner-info">
                                    '.wpb_js_remove_wpautop($content, true).'
                                </div>
                            </div>';
                break;
        }        
        
        return $html;
    }
}

stp_reg_shortcode('sv_advantage','s7upf_vc_advantage');

vc_map( array(
    "name"      => esc_html__("SV Advantage", 'lamerfashion'),
    "base"      => "sv_advantage",
    "icon"      => "icon-st",
    "category"  => '7Up-theme',
    "params"    => array(
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Style",'lamerfashion'),
            "param_name" => "style",
            "value"     => array(
                esc_html__("Default",'lamerfashion')   => '',
                esc_html__("Home style",'lamerfashion')   => 'item-adv6',
                esc_html__("Home style 2",'lamerfashion')   => 'large-banner',
                esc_html__("Home style 3",'lamerfashion')   => 'banner-small',
                esc_html__("About home 3",'lamerfashion')   => 'about-home3',
                esc_html__("Home 4",'lamerfashion')   => 'home-4',
                esc_html__("Adv background home 4",'lamerfashion')   => 'adv-bg4',
                esc_html__("Home 5 style",'lamerfashion')   => 'home5',
                esc_html__("Home 6 style 1",'lamerfashion')   => 'adv-home6 style1',
                esc_html__("Home 6 style 2",'lamerfashion')   => 'adv-home6 style2',
                esc_html__("Home 8",'lamerfashion')   => 'home19-2',
                esc_html__("Home 8 service",'lamerfashion')   => 'home8-service',
                esc_html__("Home 8 service(center)",'lamerfashion')   => 'home8-service-center',
                esc_html__("Menu banner",'lamerfashion')   => 'menu-banner',
                esc_html__("Mega banner",'lamerfashion')   => 'mega-banner',
                esc_html__("Mega banner 2",'lamerfashion')   => 'mega-banner2',
                esc_html__("Home 7 (banner top)",'lamerfashion')   => 'banner-top7',
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title",'lamerfashion'),
            "param_name" => "title",
            "dependency"    => array(
                "element"   => "style",
                "value"   => array("home8-service-center","home8-service","about-home3","home19-2",'menu-banner'),
                )
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Description",'lamerfashion'),
            "param_name" => "des",
            "dependency"    => array(
                "element"   => "style",
                "value"   => array("home8-service-center","home8-service",'menu-banner'),
                )
        ),
        array(
            "type" => "attach_image",
            "heading" => esc_html__("Image",'lamerfashion'),
            "param_name" => "image",
        ),
        array(
            "type" => "dropdown",
            "heading" => esc_html__("Animation",'lamerfashion'),
            "param_name" => "animation",
            "value"     => array(
                esc_html__("Default",'lamerfashion')        => '',
                esc_html__("Zoom rotate",'lamerfashion')    => 'zoom-rotate',
                esc_html__("Zoom",'lamerfashion')           => 'zoom-image',
                esc_html__("Fade out-in",'lamerfashion')    => 'fade-out-in',
                esc_html__("Fade in-out",'lamerfashion')    => 'fade-in-out',
                esc_html__("Zoom Fade out-in",'lamerfashion')   => 'zoom-image fade-out-in',
                esc_html__("Zoom Fade out-in 2",'lamerfashion')   => 'zoom-image fade-out-in style',
                esc_html__("Overlay",'lamerfashion')        => 'overlay-image',
                esc_html__("Overlay Zoom",'lamerfashion')   => 'overlay-image zoom-image',
                esc_html__("Pull curtain",'lamerfashion')   => 'pull-curtain',
                esc_html__("Zoom image line",'lamerfashion')   => 'zoom-image line-scale',
                esc_html__("Blur Image",'lamerfashion')     => 'blur-image',
                esc_html__("Gray Image",'lamerfashion')     => 'gray-image',
                esc_html__("Zoom Out",'lamerfashion')       => 'zoom-out',
                esc_html__("Line scale",'lamerfashion')     => 'line-scale',
                esc_html__("Scale",'lamerfashion')          => 'thumb-scale',
                ),
        ),
        array(
            'type'        => 'textfield',
            'heading'     => esc_html__( 'Link Banner', 'lamerfashion' ),
            'param_name'  => 'link',
        ), 
        array(
            "type" => "textarea_html",
            "holder" => "div",
            "heading" => esc_html__("Content",'lamerfashion'),
            "param_name" => "content",
        ),
    )
));